View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
17462Bug reportsPluginspublic2021-12-31 03:06
ReporterAvichi Assigned Toollehar  
PrioritynoneSeverityminor 
Status assignedResolutionreopened 
Product Version5.x 
Summary17462: Extention Support Error [AddScriptToQuestions]
DescriptionAfter the latest upgrade to Version 5.0.10+210723 , after re-login in saw a message saying the below
Steps To ReproduceRelogin after update and check the message center
Additional Information None
TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)Version 5.0.10+210723
I will donate to the project if issue is resolvedYes
BrowserFireFox
Database type & versionMySQL
Server OS (if known)Linux
Webserver software & version (if known)
PHP VersionPHP Version 7.3.27

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

Avichi

Avichi

2021-07-22 20:46

reporter  

DenisChenu

DenisChenu

2021-07-23 08:11

developer   ~65585

https://gitlab.com/SondagesPro/QuestionSettingsType/addScriptToQuestion/-/blob/master/config.xml
ollehar

ollehar

2021-07-23 11:09

administrator   ~65588

Please contact the author of the plugin (Denis), thank you.
DenisChenu

DenisChenu

2021-07-23 11:11

developer   ~65589

@ollehar why it's mandatory ? Since there are no way to have a real solution currently : why not default is disabled ?

Except if you tell me how i have a way to «offer» an auto update system ?
DenisChenu

DenisChenu

2021-07-23 11:12

developer   ~65590

No way to offer an update system => default must be disabled
ollehar

ollehar

2021-07-23 11:19

administrator   ~65591

Yeah, maybe remove the mandatory. My idea was, it's always better to be explicit.

You can offer an update system, actually. The built-in updater can be extended with custom "updaters".
Avichi

Avichi

2021-07-24 20:13

reporter   ~65603

@Denis and @ollehar, thank you very much, I went ahead and updated all the config.xml files , where it needs to be updated, seems the approach to give compatibility versions and check for the <lastSecurityUpdate> tag could be good preliminary approach to handle this.

Kudos to your team for helping , this is truly a great survey tools, which has huge potential to run sophisticated analysis down the development line.
Avichi

Avichi

2021-07-24 21:56

reporter   ~65604

config.xml files on all "Plug-Ins" in store needs to be updated.
DenisChenu

DenisChenu

2021-07-25 11:47

developer   ~65607

https://gitlab.com/SondagesPro/QuestionSettingsType/addScriptToQuestion/-/blob/master/config.xml

About store : @ollehar : no updaters in store currently ?
DenisChenu

DenisChenu

2021-07-25 11:50

developer   ~65609

quickStat never tested on 5.X : https://gitlab.com/SondagesPro/ExportAndStats/quickStatAdminParticipationAndStat/-/issues/2
ollehar

ollehar

2021-07-26 09:52

administrator   ~65619

The updater in store listens to the LimeStore REST API. Should work, but didn't test it recently.

Maybe @Avichi is using plugins only compatible with 3.x and 4.x...?
DenisChenu

DenisChenu

2021-07-26 10:20

developer   ~65620

Last edited: 2021-07-26 10:20

View 2 revisions

I test with updating with the new updating addScriptToQuestion on store.

Issue History

Date Modified Username Field Change
2021-07-22 20:46 Avichi New Issue
2021-07-22 20:46 Avichi File Added: Screenshot 2021-07-22 113943.png
2021-07-22 20:46 Avichi File Added: Screenshot 2021-07-22 113943-2.png
2021-07-23 08:11 DenisChenu Note Added: 65585
2021-07-23 11:09 ollehar Assigned To => ollehar
2021-07-23 11:09 ollehar Status new => closed
2021-07-23 11:09 ollehar Resolution open => no change required
2021-07-23 11:09 ollehar Note Added: 65588
2021-07-23 11:11 DenisChenu Note Added: 65589
2021-07-23 11:12 DenisChenu Status closed => feedback
2021-07-23 11:12 DenisChenu Resolution no change required => reopened
2021-07-23 11:12 DenisChenu Note Added: 65590
2021-07-23 11:19 ollehar Note Added: 65591
2021-07-24 20:13 Avichi Note Added: 65603
2021-07-24 20:13 Avichi Status feedback => assigned
2021-07-24 21:56 Avichi Note Added: 65604
2021-07-24 21:56 Avichi File Added: Screenshot 2021-07-24 125437.png
2021-07-25 11:47 DenisChenu Note Added: 65607
2021-07-25 11:50 DenisChenu Note Added: 65609
2021-07-26 09:52 ollehar Note Added: 65619
2021-07-26 10:20 DenisChenu Note Added: 65620
2021-07-26 10:20 DenisChenu Note Edited: 65620 View Revisions
2021-12-31 03:06 marketbusinessmag Bug heat 6 => 8
2022-01-03 10:18 ollehar Bug heat 8 => 6